: Class PjStreamDictionary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjStreamDictionary

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjStreamDictionary

All Implemented Interfaces:
  java.lang.Cloneable

public class PjStreamDictionary
extends PjDictionary

A representation of a PDF stream dictionary. It is normally used in constructing a PjStream object.

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjStreamDictionary()` Creates a new stream dictionary.
`PjStreamDictionary(java.util.Hashtable h)` Creates a stream dictionary as a wrapper around an Hashtable.

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`PjObject` | `getDecodeParms()`
`PjObject` | `getF()`
`PjObject` | `getFDecodeParms()`
`PjObject` | `getFFilter()`
`PjObject` | `getFilter()`
`PjObject` | `getLength()`
`void` | `setDecodeParms(PjObject decodeParms)`
`void` | `setFDecodeParms(PjObject fDecodeParms)`
`void` | `setFFilter(PjArray fFilter)`
`void` | `setFFilter(PjName fFilter)`
`void` | `setFFilter(PjReference fFilter)`
`void` | `setFilter(PjArray filter)`
`void` | `setFilter(PjName filter)`
`void` | `setFilter(PjReference filter)`
`void` | `setLength(PjNumber length)`
`void` | `setLength(PjReference length)`

Methods inherited from class com.etymon.pj.object.PjDictionary
`cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjStreamDictionary

    public PjStreamDictionary()

  Creates a new stream dictionary.

### PjStreamDictionary

    public PjStreamDictionary(java.util.Hashtable h)

  Creates a stream dictionary as a wrapper around an Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary.

Method Detail

### setLength

    public void setLength(PjNumber length)

### setLength

    public void setLength(PjReference length)

### getLength

    public PjObject getLength()
                       throws InvalidPdfObjectException

### setFilter

    public void setFilter(PjName filter)

### setFilter

    public void setFilter(PjArray filter)

### setFilter

    public void setFilter(PjReference filter)

### getFilter

    public PjObject getFilter()
                       throws InvalidPdfObjectException

### setDecodeParms

    public void setDecodeParms(PjObject decodeParms)

### getDecodeParms

    public PjObject getDecodeParms()
                            throws InvalidPdfObjectException

### getF

    public PjObject getF()
                  throws InvalidPdfObjectException

### setFFilter

    public void setFFilter(PjName fFilter)

### setFFilter

    public void setFFilter(PjArray fFilter)

### setFFilter

    public void setFFilter(PjReference fFilter)

### getFFilter

    public PjObject getFFilter()
                        throws InvalidPdfObjectException

### setFDecodeParms

    public void setFDecodeParms(PjObject fDecodeParms)

### getFDecodeParms

    public PjObject getFDecodeParms()
                             throws InvalidPdfObjectException

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `PjDictionary`
  Returns:
    a deep copy of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the instance can not be cloned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD